TDL(1)

NAME
tdl - A Command Line Version of XVTDL

SYNOPSIS
tdl [ options ]

DESCRIPTION

tdl is a facility that will list and add to the to do list databases created by xvtdl(L) Its various options make it easy to use and flexible. Its primary use is to list todo lists from a non-window interface. It can easily be placed in cron databases or executed from shell startup scripts.

Note that tdl reads and processes the ".xvtdlrc" X resource database. This means that defaults set up through xvtdl(L) will be used without further intervention by tdl.

The user is referred to xvtdl(L) for the definition of terms and understanding of how to completely create and manipulate todo list databases.

OPTIONS

-add
    This begins a dialog with the user directed at adding an entry to the specified database (or to the default database if none specified). Except for the "-f" options, all other arguments are ignored when the program encounters a "-add".

-all
    This specifies that all categories are to be listed together (default).

-categories
    This lists the names of categories in the todo list database given. Subcategories are given as indented from their parents. All options, except for the "-f" option, are ignored when this option is given.

-category catname
    Use the category "catname" rather than all categories for listing.

-date date
    List the date specified as "date" rather than the current date. This is given in "mm/dd/yy" format.

-deadline
    Normally, tdl will not check deadlines when examining items for listing. Specifying this option will force tdl to check the deadline of each item when examined for listing.

    Note that using this option could be an inconvenience. For example, if a deadline action is to mail a message after the deadline, and the current date is after the deadline, checking the list with deadline checking several times a day can result in several mail messages.

-f file
    Use "file" instead of $HOME/.tododb

-help
    This will print a usage message and quit.

-include
    When printing the list, include checked items. The default is not to include these items.

-list
    List the database for a particular date (default).

-print
    Print the database for a particular date.

-printer printer
    Print the list on the printer "printer". The default is "lp".

-postscript
    Print the list in PostScript form. The default is to print the list prepared for a plain ASCII printer.

-scale factor
    Scale the PostScript output by the integer "factor". Ignored if the "-postscript" option is not used.

FILES

$HOME/.tododb
    This is the default to do list database.

/tmp/xvtdl*
    When printing, this temporary file is used to store the list prior to sending to the printer.

SEE ALSO
cm(1) xvtdl(L)

AUTHOR

The tdl program was written by Mike Jipping, Hope College Department of Computer Science. All comments, praises, bug reports, and flames should be sent to him at "jipping@cs.hope.edu". He'll at least read your message.

KNOWN BUGS

There are currently no known aspects of the program that corrupt the data or crash the program.